"use client";
import * as React from "react";
import type { SVGProps } from "react";
import { Ref, forwardRef } from "react";
import { useId } from "./util/useId";
interface SVGRProps {
  title?: string;
  titleId?: string;
}
const SvgAlignMiddleFill = forwardRef(({
  title,
  titleId: _titleId,
  ...props
}: SVGProps<SVGSVGElement> & SVGRProps, ref: Ref<SVGSVGElement>) => {
  let titleId: string | undefined = useId();
  titleId = title ? _titleId ? _titleId : "title-" + titleId : undefined;
  return <svg xmlns="http://www.w3.org/2000/svg" width="1em" height="1em" fill="none" viewBox="0 0 24 24" focusable={false} role="img" ref={ref} aria-labelledby={titleId} {...props}>{title ? <title id={titleId}>{title}</title> : null}<path fill="currentColor" fillRule="evenodd" d="M6 19.25a.75.75 0 0 1-.75-.75v-5.75H4a.75.75 0 0 1 0-1.5h1.25V5.5A.75.75 0 0 1 6 4.75h4a.75.75 0 0 1 .75.75v5.75h2.5V8.5a.75.75 0 0 1 .75-.75h4a.75.75 0 0 1 .75.75v2.75H20a.75.75 0 0 1 0 1.5h-1.25v2.75a.75.75 0 0 1-.75.75h-4a.75.75 0 0 1-.75-.75v-2.75h-2.5v5.75a.75.75 0 0 1-.75.75z" clipRule="evenodd" /></svg>;
});
export default SvgAlignMiddleFill;