"use client";
import * as React from "react";
import type { SVGProps } from "react";
import { Ref, forwardRef } from "react";
import { useId } from "./util/useId";
interface SVGRProps {
  title?: string;
  titleId?: string;
}
const SvgAngle = forwardRef(({
  title,
  titleId: _titleId,
  ...props
}: SVGProps<SVGSVGElement> & SVGRProps, ref: Ref<SVGSVGElement>) => {
  let titleId: string | undefined = useId();
  titleId = title ? _titleId ? _titleId : "title-" + titleId : undefined;
  return <svg xmlns="http://www.w3.org/2000/svg" width="1em" height="1em" fill="none" viewBox="0 0 24 24" focusable={false} role="img" ref={ref} aria-labelledby={titleId} {...props}>{title ? <title id={titleId}>{title}</title> : null}<path fill="currentColor" fillRule="evenodd" d="M15.53 6.53a.75.75 0 0 0-1.06-1.06l-5.188 5.178a.8.8 0 0 0-.13.13L4.47 15.452A.75.75 0 0 0 5 16.732h14a.75.75 0 0 0 0-1.5h-6.58a7.45 7.45 0 0 0-1.64-3.96zm-5.818 5.808-2.9 2.894h4.098a5.96 5.96 0 0 0-1.198-2.894" clipRule="evenodd" /></svg>;
});
export default SvgAngle;