"use client";
import * as React from "react";
import type { SVGProps } from "react";
import { Ref, forwardRef } from "react";
import { useId } from "./util/useId";
interface SVGRProps {
  title?: string;
  titleId?: string;
}
const SvgArrowsSquarepath = forwardRef(({
  title,
  titleId: _titleId,
  ...props
}: SVGProps<SVGSVGElement> & SVGRProps, ref: Ref<SVGSVGElement>) => {
  let titleId: string | undefined = useId();
  titleId = title ? _titleId ? _titleId : "title-" + titleId : undefined;
  return <svg xmlns="http://www.w3.org/2000/svg" width="1em" height="1em" fill="none" viewBox="0 0 24 24" focusable={false} role="img" ref={ref} aria-labelledby={titleId} {...props}>{title ? <title id={titleId}>{title}</title> : null}<path fill="currentColor" fillRule="evenodd" d="M9.03 2.97a.75.75 0 0 1 0 1.06L7.81 5.25H16A4.75 4.75 0 0 1 20.75 10v1.5a.75.75 0 0 1-1.5 0V10A3.25 3.25 0 0 0 16 6.75H7.81l1.22 1.22a.75.75 0 1 1-1.06 1.06l-2.5-2.5a.75.75 0 0 1 0-1.06l2.5-2.5a.75.75 0 0 1 1.06 0M4 11.75a.75.75 0 0 1 .75.75V14A3.25 3.25 0 0 0 8 17.25h8.19l-1.22-1.22a.75.75 0 1 1 1.06-1.06l2.5 2.5a.75.75 0 0 1 0 1.06l-2.5 2.5a.75.75 0 1 1-1.06-1.06l1.22-1.22H8A4.75 4.75 0 0 1 3.25 14v-1.5a.75.75 0 0 1 .75-.75" clipRule="evenodd" /></svg>;
});
export default SvgArrowsSquarepath;