"use client";
import * as React from "react";
import type { SVGProps } from "react";
import { Ref, forwardRef } from "react";
import { useId } from "./util/useId";
interface SVGRProps {
  title?: string;
  titleId?: string;
}
const SvgBroadcast = forwardRef(({
  title,
  titleId: _titleId,
  ...props
}: SVGProps<SVGSVGElement> & SVGRProps, ref: Ref<SVGSVGElement>) => {
  let titleId: string | undefined = useId();
  titleId = title ? _titleId ? _titleId : "title-" + titleId : undefined;
  return <svg xmlns="http://www.w3.org/2000/svg" width="1em" height="1em" fill="none" viewBox="0 0 24 24" focusable={false} role="img" ref={ref} aria-labelledby={titleId} {...props}>{title ? <title id={titleId}>{title}</title> : null}<path fill="currentColor" fillRule="evenodd" d="M5 3.25a.75.75 0 0 0 0 1.5c7.87 0 14.25 6.38 14.25 14.25a.75.75 0 0 0 1.5 0c0-8.698-7.052-15.75-15.75-15.75M4.25 9A.75.75 0 0 1 5 8.25c5.937 0 10.75 4.813 10.75 10.75a.75.75 0 0 1-1.5 0A9.25 9.25 0 0 0 5 9.75.75.75 0 0 1 4.25 9M5 13.25a.75.75 0 0 0 0 1.5A4.25 4.25 0 0 1 9.25 19a.75.75 0 0 0 1.5 0A5.75 5.75 0 0 0 5 13.25m0 4.25a1.5 1.5 0 1 0 0 3 1.5 1.5 0 0 0 0-3" clipRule="evenodd" /></svg>;
});
export default SvgBroadcast;