"use client";
import * as React from "react";
import type { SVGProps } from "react";
import { Ref, forwardRef } from "react";
import { useId } from "./util/useId";
interface SVGRProps {
  title?: string;
  titleId?: string;
}
const SvgCaretLeftRight = forwardRef(({
  title,
  titleId: _titleId,
  ...props
}: SVGProps<SVGSVGElement> & SVGRProps, ref: Ref<SVGSVGElement>) => {
  let titleId: string | undefined = useId();
  titleId = title ? _titleId ? _titleId : "title-" + titleId : undefined;
  return <svg xmlns="http://www.w3.org/2000/svg" width="1em" height="1em" fill="none" viewBox="0 0 24 24" focusable={false} role="img" ref={ref} aria-labelledby={titleId} {...props}>{title ? <title id={titleId}>{title}</title> : null}<path fill="currentColor" fillRule="evenodd" d="M16.03 7.97a.75.75 0 0 0-1.28.53v7a.75.75 0 0 0 1.28.53l3.5-3.5a.75.75 0 0 0 0-1.06zM17.94 12l-1.69 1.69v-3.38zM9.25 8.5a.75.75 0 0 0-1.28-.53l-3.5 3.5a.75.75 0 0 0 0 1.06l3.5 3.5a.75.75 0 0 0 1.28-.53zm-1.5 5.19L6.06 12l1.69-1.69z" clipRule="evenodd" /></svg>;
});
export default SvgCaretLeftRight;