"use client";
import * as React from "react";
import type { SVGProps } from "react";
import { Ref, forwardRef } from "react";
import { useId } from "./util/useId";
interface SVGRProps {
  title?: string;
  titleId?: string;
}
const SvgChefHatFill = forwardRef(({
  title,
  titleId: _titleId,
  ...props
}: SVGProps<SVGSVGElement> & SVGRProps, ref: Ref<SVGSVGElement>) => {
  let titleId: string | undefined = useId();
  titleId = title ? _titleId ? _titleId : "title-" + titleId : undefined;
  return <svg xmlns="http://www.w3.org/2000/svg" width="1em" height="1em" fill="none" viewBox="0 0 24 24" focusable={false} role="img" ref={ref} aria-labelledby={titleId} {...props}>{title ? <title id={titleId}>{title}</title> : null}<path fill="currentColor" fillRule="evenodd" d="M12 3.75c-1.346 0-2.5.629-3.294 1.589l-.514-.334a3.75 3.75 0 0 0-4.085 6.29l1.357.88.79 7.9A.75.75 0 0 0 7 20.75h10a.75.75 0 0 0 .746-.675l.792-7.915 1.332-.865a3.75 3.75 0 1 0-4.085-6.29l-.507.329C14.486 4.4 13.385 3.75 12 3.75m-3 7a.75.75 0 0 0 0 1.5h6a.75.75 0 0 0 0-1.5z" clipRule="evenodd" /></svg>;
});
export default SvgChefHatFill;