"use client";
import * as React from "react";
import type { SVGProps } from "react";
import { Ref, forwardRef } from "react";
import { useId } from "./util/useId";
interface SVGRProps {
  title?: string;
  titleId?: string;
}
const SvgCigaretteFill = forwardRef(({
  title,
  titleId: _titleId,
  ...props
}: SVGProps<SVGSVGElement> & SVGRProps, ref: Ref<SVGSVGElement>) => {
  let titleId: string | undefined = useId();
  titleId = title ? _titleId ? _titleId : "title-" + titleId : undefined;
  return <svg xmlns="http://www.w3.org/2000/svg" width="1em" height="1em" fill="none" viewBox="0 0 24 24" focusable={false} role="img" ref={ref} aria-labelledby={titleId} {...props}>{title ? <title id={titleId}>{title}</title> : null}<path fill="currentColor" fillRule="evenodd" d="M18.25 2.5a.75.75 0 0 0-1.5 0v.882c0 .97.548 1.855 1.415 2.289.358.18.585.546.585.947V7.5a.75.75 0 0 0 1.5 0v-.882c0-.97-.548-1.855-1.415-2.289a1.06 1.06 0 0 1-.585-.947zM17 9.25a.25.25 0 0 1 .25.25v5a.25.25 0 0 1-.25.25H3.016a.75.75 0 0 1-.75-.75v-4a.75.75 0 0 1 .75-.75zm2 5.5a.25.25 0 0 1-.25-.25v-5a.25.25 0 0 1 .25-.25h1c.966 0 1.75.784 1.75 1.75v2A1.75 1.75 0 0 1 20 14.75z" clipRule="evenodd" /></svg>;
});
export default SvgCigaretteFill;