"use client";
import * as React from "react";
import type { SVGProps } from "react";
import { Ref, forwardRef } from "react";
import { useId } from "./util/useId";
interface SVGRProps {
  title?: string;
  titleId?: string;
}
const SvgDivide = forwardRef(({
  title,
  titleId: _titleId,
  ...props
}: SVGProps<SVGSVGElement> & SVGRProps, ref: Ref<SVGSVGElement>) => {
  let titleId: string | undefined = useId();
  titleId = title ? _titleId ? _titleId : "title-" + titleId : undefined;
  return <svg xmlns="http://www.w3.org/2000/svg" width="1em" height="1em" fill="none" viewBox="0 0 24 24" focusable={false} role="img" ref={ref} aria-labelledby={titleId} {...props}>{title ? <title id={titleId}>{title}</title> : null}<path fill="currentColor" fillRule="evenodd" d="M10.5 8a1.5 1.5 0 1 1 3 0 1.5 1.5 0 0 1-3 0m0 8a1.5 1.5 0 1 1 3 0 1.5 1.5 0 0 1-3 0M6 11.25a.75.75 0 0 0 0 1.5h12a.75.75 0 0 0 0-1.5z" clipRule="evenodd" /></svg>;
});
export default SvgDivide;