"use client";
import * as React from "react";
import type { SVGProps } from "react";
import { Ref, forwardRef } from "react";
import { useId } from "./util/useId";
interface SVGRProps {
  title?: string;
  titleId?: string;
}
const SvgFileExportFill = forwardRef(({
  title,
  titleId: _titleId,
  ...props
}: SVGProps<SVGSVGElement> & SVGRProps, ref: Ref<SVGSVGElement>) => {
  let titleId: string | undefined = useId();
  titleId = title ? _titleId ? _titleId : "title-" + titleId : undefined;
  return <svg xmlns="http://www.w3.org/2000/svg" width="1em" height="1em" fill="none" viewBox="0 0 24 24" focusable={false} role="img" ref={ref} aria-labelledby={titleId} {...props}>{title ? <title id={titleId}>{title}</title> : null}<path fill="currentColor" fillRule="evenodd" d="M13.25 7.5v-4a.25.25 0 0 0-.25-.25H6.5c-.69 0-1.25.56-1.25 1.25v15c0 .69.56 1.25 1.25 1.25h11c.69 0 1.25-.56 1.25-1.25v-3.835a.25.25 0 0 0-.427-.177L16.03 17.78a.75.75 0 1 1-1.06-1.061l1.543-1.543a.25.25 0 0 0-.177-.427H9.5a.75.75 0 1 1 0-1.5h6.836a.25.25 0 0 0 .177-.427l-1.543-1.542a.75.75 0 0 1 1.06-1.061l2.293 2.293a.25.25 0 0 0 .427-.177V9a.25.25 0 0 0-.25-.25h-4c-.69 0-1.25-.56-1.25-1.25M15 7.25a.25.25 0 0 1-.25-.25V4.293a.25.25 0 0 1 .427-.177l2.707 2.707a.25.25 0 0 1-.177.427z" clipRule="evenodd" /></svg>;
});
export default SvgFileExportFill;