"use client";
import * as React from "react";
import type { SVGProps } from "react";
import { Ref, forwardRef } from "react";
import { useId } from "./util/useId";
interface SVGRProps {
  title?: string;
  titleId?: string;
}
const SvgFolderFile = forwardRef(({
  title,
  titleId: _titleId,
  ...props
}: SVGProps<SVGSVGElement> & SVGRProps, ref: Ref<SVGSVGElement>) => {
  let titleId: string | undefined = useId();
  titleId = title ? _titleId ? _titleId : "title-" + titleId : undefined;
  return <svg xmlns="http://www.w3.org/2000/svg" width="1em" height="1em" fill="none" viewBox="0 0 24 24" focusable={false} role="img" ref={ref} aria-labelledby={titleId} {...props}>{title ? <title id={titleId}>{title}</title> : null}<path fill="currentColor" fillRule="evenodd" d="M7.75 3.75V7.5a.75.75 0 0 1-1.5 0v-4c0-.69.56-1.25 1.25-1.25h9c.69 0 1.25.56 1.25 1.25v7a.75.75 0 0 1-1.5 0V3.75zm-1.75 7a.25.25 0 0 0-.25.25v9.25h12.5v-6.5H12a.75.75 0 0 1-.75-.75v-2a.25.25 0 0 0-.25-.25zM4.25 11c0-.966.784-1.75 1.75-1.75h5c.966 0 1.75.784 1.75 1.75v1.25h5.75c.69 0 1.25.56 1.25 1.25v7c0 .69-.56 1.25-1.25 1.25h-13c-.69 0-1.25-.56-1.25-1.25zM10 4.75a.75.75 0 0 0 0 1.5h4a.75.75 0 0 0 0-1.5z" clipRule="evenodd" /></svg>;
});
export default SvgFolderFile;