"use client";
import * as React from "react";
import type { SVGProps } from "react";
import { Ref, forwardRef } from "react";
import { useId } from "./util/useId";
interface SVGRProps {
  title?: string;
  titleId?: string;
}
const SvgForward = forwardRef(({
  title,
  titleId: _titleId,
  ...props
}: SVGProps<SVGSVGElement> & SVGRProps, ref: Ref<SVGSVGElement>) => {
  let titleId: string | undefined = useId();
  titleId = title ? _titleId ? _titleId : "title-" + titleId : undefined;
  return <svg xmlns="http://www.w3.org/2000/svg" width="1em" height="1em" fill="none" viewBox="0 0 24 24" focusable={false} role="img" ref={ref} aria-labelledby={titleId} {...props}>{title ? <title id={titleId}>{title}</title> : null}<path fill="currentColor" fillRule="evenodd" d="M5.364 6.344A.75.75 0 0 0 4.25 7v10a.75.75 0 0 0 1.114.656l9-5a.75.75 0 0 0 0-1.312zm.386 9.381v-7.45L12.456 12zm6.614-9.38A.75.75 0 0 0 11.25 7v1.5a.75.75 0 0 0 1.5 0v-.225L19.456 12l-6.706 3.725V15.5a.75.75 0 0 0-1.5 0V17a.75.75 0 0 0 1.114.656l9-5a.75.75 0 0 0 0-1.312z" clipRule="evenodd" /></svg>;
});
export default SvgForward;