"use client";
import * as React from "react";
import type { SVGProps } from "react";
import { Ref, forwardRef } from "react";
import { useId } from "./util/useId";
interface SVGRProps {
  title?: string;
  titleId?: string;
}
const SvgHashtag = forwardRef(({
  title,
  titleId: _titleId,
  ...props
}: SVGProps<SVGSVGElement> & SVGRProps, ref: Ref<SVGSVGElement>) => {
  let titleId: string | undefined = useId();
  titleId = title ? _titleId ? _titleId : "title-" + titleId : undefined;
  return <svg xmlns="http://www.w3.org/2000/svg" width="1em" height="1em" fill="none" viewBox="0 0 24 24" focusable={false} role="img" ref={ref} aria-labelledby={titleId} {...props}>{title ? <title id={titleId}>{title}</title> : null}<path fill="currentColor" fillRule="evenodd" d="M10.094 3.656a.75.75 0 1 0-1.5-.061l-.19 4.655H5a.75.75 0 0 0 0 1.5h3.342l-.185 4.5H4a.75.75 0 1 0 0 1.5h4.095l-.189 4.594a.75.75 0 1 0 1.5.061l.19-4.655h4.5l-.19 4.594a.75.75 0 1 0 1.5.061l.19-4.655H19a.75.75 0 0 0 0-1.5h-3.342l.185-4.5H20a.75.75 0 0 0 0-1.5h-4.095l.189-4.594a.75.75 0 1 0-1.5-.061l-.19 4.655h-4.5zm4.063 10.594.185-4.5H9.843l-.185 4.5z" clipRule="evenodd" /></svg>;
});
export default SvgHashtag;