"use client";
import * as React from "react";
import type { SVGProps } from "react";
import { Ref, forwardRef } from "react";
import { useId } from "./util/useId";
interface SVGRProps {
  title?: string;
  titleId?: string;
}
const SvgLaptopTriangle = forwardRef(({
  title,
  titleId: _titleId,
  ...props
}: SVGProps<SVGSVGElement> & SVGRProps, ref: Ref<SVGSVGElement>) => {
  let titleId: string | undefined = useId();
  titleId = title ? _titleId ? _titleId : "title-" + titleId : undefined;
  return <svg xmlns="http://www.w3.org/2000/svg" width="1em" height="1em" fill="none" viewBox="0 0 24 24" focusable={false} role="img" ref={ref} aria-labelledby={titleId} {...props}>{title ? <title id={titleId}>{title}</title> : null}<path fill="currentColor" fillRule="evenodd" d="M16 1.25a.75.75 0 0 1 .656.386l5 9A.75.75 0 0 1 21 11.75H11a.75.75 0 0 1-.656-1.114l5-9A.75.75 0 0 1 16 1.25m3.725 9L16 3.544l-3.725 6.706zM2.25 19a.75.75 0 0 1 .75-.75h18a.75.75 0 0 1 0 1.5H3a.75.75 0 0 1-.75-.75m3-13a.25.25 0 0 1 .25-.25h4.625a.75.75 0 0 0 0-1.5H5.5A1.75 1.75 0 0 0 3.75 6v9c0 .966.784 1.75 1.75 1.75h13A1.75 1.75 0 0 0 20.25 15v-.375a.75.75 0 0 0-1.5 0V15a.25.25 0 0 1-.25.25h-13a.25.25 0 0 1-.25-.25z" clipRule="evenodd" /></svg>;
});
export default SvgLaptopTriangle;