"use client";
import * as React from "react";
import type { SVGProps } from "react";
import { Ref, forwardRef } from "react";
import { useId } from "./util/useId";
interface SVGRProps {
  title?: string;
  titleId?: string;
}
const SvgLineGraph = forwardRef(({
  title,
  titleId: _titleId,
  ...props
}: SVGProps<SVGSVGElement> & SVGRProps, ref: Ref<SVGSVGElement>) => {
  let titleId: string | undefined = useId();
  titleId = title ? _titleId ? _titleId : "title-" + titleId : undefined;
  return <svg xmlns="http://www.w3.org/2000/svg" width="1em" height="1em" fill="none" viewBox="0 0 24 24" focusable={false} role="img" ref={ref} aria-labelledby={titleId} {...props}>{title ? <title id={titleId}>{title}</title> : null}<path fill="currentColor" fillRule="evenodd" d="M20.276 8.59a.75.75 0 0 1-.216 1.038l-6.942 4.544a.75.75 0 0 1-.822 0L9.29 12.204l-5.23 3.423a.75.75 0 1 1-.822-1.255L8.88 10.68a.75.75 0 0 1 .822 0l3.006 1.968 6.531-4.276a.75.75 0 0 1 1.038.217" clipRule="evenodd" /></svg>;
});
export default SvgLineGraph;