"use client";
import * as React from "react";
import type { SVGProps } from "react";
import { Ref, forwardRef } from "react";
import { useId } from "./util/useId";
interface SVGRProps {
  title?: string;
  titleId?: string;
}
const SvgLocationPinFill = forwardRef(({
  title,
  titleId: _titleId,
  ...props
}: SVGProps<SVGSVGElement> & SVGRProps, ref: Ref<SVGSVGElement>) => {
  let titleId: string | undefined = useId();
  titleId = title ? _titleId ? _titleId : "title-" + titleId : undefined;
  return <svg xmlns="http://www.w3.org/2000/svg" width="1em" height="1em" fill="none" viewBox="0 0 24 24" focusable={false} role="img" ref={ref} aria-labelledby={titleId} {...props}>{title ? <title id={titleId}>{title}</title> : null}<path fill="currentColor" fillRule="evenodd" d="m12.757 21.257.466-.576c.39-.481.919-1.134 1.478-1.82 1.122-1.38 2.35-2.882 2.816-3.42 2.763-3.196 3.021-7.863-.037-10.921a7.75 7.75 0 0 0-10.96 0c-3.058 3.058-2.799 7.725-.037 10.92.466.539 1.694 2.04 2.817 3.42a1099 1099 0 0 1 1.943 2.397l.173.213v.001a.75.75 0 0 0 1.168 0zM12 6.25a3.75 3.75 0 1 0 0 7.5 3.75 3.75 0 0 0 0-7.5" clipRule="evenodd" /></svg>;
});
export default SvgLocationPinFill;