"use client";
import * as React from "react";
import type { SVGProps } from "react";
import { Ref, forwardRef } from "react";
import { useId } from "./util/useId";
interface SVGRProps {
  title?: string;
  titleId?: string;
}
const SvgMeetingSmall = forwardRef(({
  title,
  titleId: _titleId,
  ...props
}: SVGProps<SVGSVGElement> & SVGRProps, ref: Ref<SVGSVGElement>) => {
  let titleId: string | undefined = useId();
  titleId = title ? _titleId ? _titleId : "title-" + titleId : undefined;
  return <svg xmlns="http://www.w3.org/2000/svg" width="1em" height="1em" fill="none" viewBox="0 0 24 24" focusable={false} role="img" ref={ref} aria-labelledby={titleId} {...props}>{title ? <title id={titleId}>{title}</title> : null}<path fill="currentColor" fillRule="evenodd" d="M10.79 5.687a1.25 1.25 0 0 1 2.42 0 .75.75 0 0 0 1.453-.374 2.75 2.75 0 0 0-5.326 0 .75.75 0 1 0 1.452.374M4.25 8A.75.75 0 0 1 5 7.25h14a.75.75 0 0 1 .75.75v8a.75.75 0 0 1-.75.75H5a.75.75 0 0 1-.75-.75zm1.5.75v6.5h12.5v-6.5zm4.126 9.024a.75.75 0 0 1 .913.54 1.251 1.251 0 0 0 2.422 0 .75.75 0 0 1 1.452.373 2.75 2.75 0 0 1-5.326 0 .75.75 0 0 1 .539-.913" clipRule="evenodd" /></svg>;
});
export default SvgMeetingSmall;