"use client";
import * as React from "react";
import type { SVGProps } from "react";
import { Ref, forwardRef } from "react";
import { useId } from "./util/useId";
interface SVGRProps {
  title?: string;
  titleId?: string;
}
const SvgMigration = forwardRef(({
  title,
  titleId: _titleId,
  ...props
}: SVGProps<SVGSVGElement> & SVGRProps, ref: Ref<SVGSVGElement>) => {
  let titleId: string | undefined = useId();
  titleId = title ? _titleId ? _titleId : "title-" + titleId : undefined;
  return <svg xmlns="http://www.w3.org/2000/svg" width="1em" height="1em" fill="none" viewBox="0 0 24 24" focusable={false} role="img" ref={ref} aria-labelledby={titleId} {...props}>{title ? <title id={titleId}>{title}</title> : null}<path fill="currentColor" fillRule="evenodd" d="M15.97 3.47a.75.75 0 0 1 1.06 0l3.5 3.5a.75.75 0 0 1 0 1.06l-3.5 3.5a.75.75 0 1 1-1.06-1.06l2.22-2.22h-7.568a2.251 2.251 0 1 1 0-1.5h7.567l-2.22-2.22a.75.75 0 0 1 0-1.06M7.75 7.5a.75.75 0 1 1 1.5 0 .75.75 0 0 1-1.5 0m.28 4.97a.75.75 0 0 1 0 1.06l-2.22 2.22h7.568a2.251 2.251 0 1 1 0 1.5H5.811l2.22 2.22a.75.75 0 1 1-1.061 1.06l-3.5-3.5a.75.75 0 0 1 0-1.06l3.5-3.5a.75.75 0 0 1 1.06 0m6.72 4.03a.75.75 0 1 0 1.5 0 .75.75 0 0 0-1.5 0" clipRule="evenodd" /></svg>;
});
export default SvgMigration;