"use client";
import * as React from "react";
import type { SVGProps } from "react";
import { Ref, forwardRef } from "react";
import { useId } from "./util/useId";
interface SVGRProps {
  title?: string;
  titleId?: string;
}
const SvgMountainFill = forwardRef(({
  title,
  titleId: _titleId,
  ...props
}: SVGProps<SVGSVGElement> & SVGRProps, ref: Ref<SVGSVGElement>) => {
  let titleId: string | undefined = useId();
  titleId = title ? _titleId ? _titleId : "title-" + titleId : undefined;
  return <svg xmlns="http://www.w3.org/2000/svg" width="1em" height="1em" fill="none" viewBox="0 0 24 24" focusable={false} role="img" ref={ref} aria-labelledby={titleId} {...props}>{title ? <title id={titleId}>{title}</title> : null}<path fill="currentColor" fillRule="evenodd" d="M12.65 5.563a.75.75 0 0 0-1.3 0l-7 12.124A.75.75 0 0 0 5 18.812h14a.75.75 0 0 0 .65-1.125zm1.424 5.467L12 7.438l-2.573 4.457.926.278L12.05 10.9a.75.75 0 0 1 .587-.137z" clipRule="evenodd" /></svg>;
});
export default SvgMountainFill;