"use client";
import * as React from "react";
import type { SVGProps } from "react";
import { Ref, forwardRef } from "react";
import { useId } from "./util/useId";
interface SVGRProps {
  title?: string;
  titleId?: string;
}
const SvgMug = forwardRef(({
  title,
  titleId: _titleId,
  ...props
}: SVGProps<SVGSVGElement> & SVGRProps, ref: Ref<SVGSVGElement>) => {
  let titleId: string | undefined = useId();
  titleId = title ? _titleId ? _titleId : "title-" + titleId : undefined;
  return <svg xmlns="http://www.w3.org/2000/svg" width="1em" height="1em" fill="none" viewBox="0 0 24 24" focusable={false} role="img" ref={ref} aria-labelledby={titleId} {...props}>{title ? <title id={titleId}>{title}</title> : null}<path fill="currentColor" fillRule="evenodd" d="M5 5.25a.75.75 0 0 0-.75.75v9A4.75 4.75 0 0 0 9 19.75h4A4.75 4.75 0 0 0 17.75 15v-.337q.361.086.75.087a3.25 3.25 0 1 0-.75-6.413V6a.75.75 0 0 0-.75-.75zm4 13A3.25 3.25 0 0 1 5.75 15V6.75h10.5V15A3.25 3.25 0 0 1 13 18.25zm9.5-5c-.269 0-.523-.06-.75-.168V9.918a1.75 1.75 0 1 1 .75 3.332" clipRule="evenodd" /></svg>;
});
export default SvgMug;