"use client";
import * as React from "react";
import type { SVGProps } from "react";
import { Ref, forwardRef } from "react";
import { useId } from "./util/useId";
interface SVGRProps {
  title?: string;
  titleId?: string;
}
const SvgPackage = forwardRef(({
  title,
  titleId: _titleId,
  ...props
}: SVGProps<SVGSVGElement> & SVGRProps, ref: Ref<SVGSVGElement>) => {
  let titleId: string | undefined = useId();
  titleId = title ? _titleId ? _titleId : "title-" + titleId : undefined;
  return <svg xmlns="http://www.w3.org/2000/svg" width="1em" height="1em" fill="none" viewBox="0 0 24 24" focusable={false} role="img" ref={ref} aria-labelledby={titleId} {...props}>{title ? <title id={titleId}>{title}</title> : null}<path fill="currentColor" fillRule="evenodd" d="M11.625 2.35a.75.75 0 0 1 .75 0l7.794 4.5a.75.75 0 0 1 .375.65v9a.75.75 0 0 1-.375.65l-7.794 4.5a.75.75 0 0 1-.75 0l-7.794-4.5a.75.75 0 0 1-.375-.65v-9a.75.75 0 0 1 .375-.65zM12 3.866 5.706 7.5 12 11.134 18.294 7.5zm7.044 4.933-6.294 3.634v7.268l6.294-3.634zM11.25 19.701v-7.268L4.956 8.799v7.268z" clipRule="evenodd" /></svg>;
});
export default SvgPackage;