"use client";
import * as React from "react";
import type { SVGProps } from "react";
import { Ref, forwardRef } from "react";
import { useId } from "./util/useId";
interface SVGRProps {
  title?: string;
  titleId?: string;
}
const SvgPaperplaneFill = forwardRef(({
  title,
  titleId: _titleId,
  ...props
}: SVGProps<SVGSVGElement> & SVGRProps, ref: Ref<SVGSVGElement>) => {
  let titleId: string | undefined = useId();
  titleId = title ? _titleId ? _titleId : "title-" + titleId : undefined;
  return <svg xmlns="http://www.w3.org/2000/svg" width="1em" height="1em" fill="none" viewBox="0 0 24 24" focusable={false} role="img" ref={ref} aria-labelledby={titleId} {...props}>{title ? <title id={titleId}>{title}</title> : null}<path fill="currentColor" fillRule="evenodd" d="M6.317 4.32a.75.75 0 0 0-1.023.932l2.023 5.666a.5.5 0 0 0 .471.332H13a.75.75 0 0 1 0 1.5H7.788a.5.5 0 0 0-.47.332l-2.024 5.666a.75.75 0 0 0 1.023.932l15-7a.75.75 0 0 0 0-1.36z" clipRule="evenodd" /></svg>;
});
export default SvgPaperplaneFill;