"use client";
import * as React from "react";
import type { SVGProps } from "react";
import { Ref, forwardRef } from "react";
import { useId } from "./util/useId";
interface SVGRProps {
  title?: string;
  titleId?: string;
}
const SvgPersonPlus = forwardRef(({
  title,
  titleId: _titleId,
  ...props
}: SVGProps<SVGSVGElement> & SVGRProps, ref: Ref<SVGSVGElement>) => {
  let titleId: string | undefined = useId();
  titleId = title ? _titleId ? _titleId : "title-" + titleId : undefined;
  return <svg xmlns="http://www.w3.org/2000/svg" width="1em" height="1em" fill="none" viewBox="0 0 24 24" focusable={false} role="img" ref={ref} aria-labelledby={titleId} {...props}>{title ? <title id={titleId}>{title}</title> : null}<path fill="currentColor" fillRule="evenodd" d="M12 3.75a3.75 3.75 0 1 0 0 7.5 3.75 3.75 0 0 0 0-7.5M6.75 7.5a5.25 5.25 0 1 1 10.5 0 5.25 5.25 0 0 1-10.5 0m4.827 8.25A5.25 5.25 0 0 0 6.327 21a.75.75 0 0 1-1.5 0 6.75 6.75 0 0 1 8.069-6.62.75.75 0 0 1-.293 1.471 5.3 5.3 0 0 0-1.026-.101m5.423-.5a.75.75 0 0 1 .75.75v1.75h1.75a.75.75 0 0 1 0 1.5h-1.75V21a.75.75 0 0 1-1.5 0v-1.75H14.5a.75.75 0 0 1 0-1.5h1.75V16a.75.75 0 0 1 .75-.75" clipRule="evenodd" /></svg>;
});
export default SvgPersonPlus;