"use client";
import * as React from "react";
import type { SVGProps } from "react";
import { Ref, forwardRef } from "react";
import { useId } from "./util/useId";
interface SVGRProps {
  title?: string;
  titleId?: string;
}
const SvgPersonSuit = forwardRef(({
  title,
  titleId: _titleId,
  ...props
}: SVGProps<SVGSVGElement> & SVGRProps, ref: Ref<SVGSVGElement>) => {
  let titleId: string | undefined = useId();
  titleId = title ? _titleId ? _titleId : "title-" + titleId : undefined;
  return <svg xmlns="http://www.w3.org/2000/svg" width="1em" height="1em" fill="none" viewBox="0 0 24 24" focusable={false} role="img" ref={ref} aria-labelledby={titleId} {...props}>{title ? <title id={titleId}>{title}</title> : null}<path fill="currentColor" fillRule="evenodd" d="M8.25 7.5a3.75 3.75 0 1 1 7.5 0 3.75 3.75 0 0 1-7.5 0M12 2.25a5.25 5.25 0 1 0 0 10.5 5.25 5.25 0 0 0 0-10.5M9.125 14.832a.75.75 0 0 0-1.117-.475 7.75 7.75 0 0 0-3.74 6.116l-.018.5a.75.75 0 1 0 1.5.054l.017-.486a6.25 6.25 0 0 1 2.149-4.272l1.009 4.399a.75.75 0 0 0 1.462-.336zm6.867-.475a.75.75 0 0 0-1.117.475l-1.262 5.5a.75.75 0 1 0 1.462.336l1.009-4.4q.173.15.335.313a6.25 6.25 0 0 1 1.814 3.96l.017.486a.75.75 0 1 0 1.5-.054l-.018-.5-.002-.026a7.75 7.75 0 0 0-3.738-6.09M12 16.75a.75.75 0 0 1 .75.75v3a.75.75 0 0 1-1.5 0v-3a.75.75 0 0 1 .75-.75m.75-1.75a.75.75 0 0 0-1.5 0v.5a.75.75 0 0 0 1.5 0z" clipRule="evenodd" /></svg>;
});
export default SvgPersonSuit;