"use client";
import * as React from "react";
import type { SVGProps } from "react";
import { Ref, forwardRef } from "react";
import { useId } from "./util/useId";
interface SVGRProps {
  title?: string;
  titleId?: string;
}
const SvgPillRectangleFill = forwardRef(({
  title,
  titleId: _titleId,
  ...props
}: SVGProps<SVGSVGElement> & SVGRProps, ref: Ref<SVGSVGElement>) => {
  let titleId: string | undefined = useId();
  titleId = title ? _titleId ? _titleId : "title-" + titleId : undefined;
  return <svg xmlns="http://www.w3.org/2000/svg" width="1em" height="1em" fill="none" viewBox="0 0 24 24" focusable={false} role="img" ref={ref} aria-labelledby={titleId} {...props}>{title ? <title id={titleId}>{title}</title> : null}<path fill="currentColor" fillRule="evenodd" d="M18.894 5.106a3.75 3.75 0 0 0-5.303 0L10.055 8.64a.25.25 0 0 0 0 .354l4.95 4.95a.25.25 0 0 0 .354 0l3.535-3.536a3.75 3.75 0 0 0 0-5.303m-4.95 10.253a.25.25 0 0 0 0-.354l-4.95-4.95a.25.25 0 0 0-.353 0l-3.535 3.536a3.75 3.75 0 1 0 5.303 5.303z" clipRule="evenodd" /></svg>;
});
export default SvgPillRectangleFill;