"use client";
import * as React from "react";
import type { SVGProps } from "react";
import { Ref, forwardRef } from "react";
import { useId } from "./util/useId";
interface SVGRProps {
  title?: string;
  titleId?: string;
}
const SvgRectangleSections = forwardRef(({
  title,
  titleId: _titleId,
  ...props
}: SVGProps<SVGSVGElement> & SVGRProps, ref: Ref<SVGSVGElement>) => {
  let titleId: string | undefined = useId();
  titleId = title ? _titleId ? _titleId : "title-" + titleId : undefined;
  return <svg xmlns="http://www.w3.org/2000/svg" width="1em" height="1em" fill="none" viewBox="0 0 24 24" focusable={false} role="img" ref={ref} aria-labelledby={titleId} {...props}>{title ? <title id={titleId}>{title}</title> : null}<path fill="currentColor" fillRule="evenodd" d="M3.002 2.25a.75.75 0 0 0-.75.75v18c0 .414.336.75.75.75h17.996a.75.75 0 0 0 .75-.75V3a.75.75 0 0 0-.75-.75zm9.748 12.772V9.75h7.498v10.5H12.75zm-8.998.728v4.5h7.498v-4.5zm7.498-1.5H3.752V3.75h7.498zm8.998-6H12.75v-4.5h7.498z" clipRule="evenodd" /></svg>;
});
export default SvgRectangleSections;