"use client";
import * as React from "react";
import type { SVGProps } from "react";
import { Ref, forwardRef } from "react";
import { useId } from "./util/useId";
interface SVGRProps {
  title?: string;
  titleId?: string;
}
const SvgStar = forwardRef(({
  title,
  titleId: _titleId,
  ...props
}: SVGProps<SVGSVGElement> & SVGRProps, ref: Ref<SVGSVGElement>) => {
  let titleId: string | undefined = useId();
  titleId = title ? _titleId ? _titleId : "title-" + titleId : undefined;
  return <svg xmlns="http://www.w3.org/2000/svg" width="1em" height="1em" fill="none" viewBox="0 0 24 24" focusable={false} role="img" ref={ref} aria-labelledby={titleId} {...props}>{title ? <title id={titleId}>{title}</title> : null}<path fill="currentColor" fillRule="evenodd" d="M12 2.25a.75.75 0 0 1 .672.418l2.765 5.601 6.181.899a.75.75 0 0 1 .416 1.279l-4.473 4.36 1.056 6.156a.75.75 0 0 1-1.088.791L12 18.847l-5.529 2.907a.75.75 0 0 1-1.088-.79l1.056-6.157-4.473-4.36a.75.75 0 0 1 .416-1.28l6.181-.898 2.764-5.6A.75.75 0 0 1 12 2.25m0 2.445L9.734 9.287a.75.75 0 0 1-.565.41l-5.068.737 3.667 3.574a.75.75 0 0 1 .216.664l-.866 5.047 4.533-2.383a.75.75 0 0 1 .698 0l4.533 2.383-.866-5.047a.75.75 0 0 1 .216-.664l3.667-3.574-5.068-.737a.75.75 0 0 1-.565-.41z" clipRule="evenodd" /></svg>;
});
export default SvgStar;