"use client";
import * as React from "react";
import type { SVGProps } from "react";
import { Ref, forwardRef } from "react";
import { useId } from "./util/useId";
interface SVGRProps {
  title?: string;
  titleId?: string;
}
const SvgTenancyFill = forwardRef(({
  title,
  titleId: _titleId,
  ...props
}: SVGProps<SVGSVGElement> & SVGRProps, ref: Ref<SVGSVGElement>) => {
  let titleId: string | undefined = useId();
  titleId = title ? _titleId ? _titleId : "title-" + titleId : undefined;
  return <svg xmlns="http://www.w3.org/2000/svg" width="1em" height="1em" fill="none" viewBox="0 0 24 24" focusable={false} role="img" ref={ref} aria-labelledby={titleId} {...props}>{title ? <title id={titleId}>{title}</title> : null}<path fill="currentColor" d="M8.25 7a3.75 3.75 0 1 1 5.07 3.51l3.692 4.923a2.75 2.75 0 1 1-1.2.9L12.75 12.25v3.104a2.751 2.751 0 1 1-1.5 0V12.25l-3.062 4.083a2.75 2.75 0 1 1-1.2-.9l3.691-4.922A3.75 3.75 0 0 1 8.25 7" /></svg>;
});
export default SvgTenancyFill;