"use client";
import * as React from "react";
import type { SVGProps } from "react";
import { Ref, forwardRef } from "react";
import { useId } from "./util/useId";
interface SVGRProps {
  title?: string;
  titleId?: string;
}
const SvgThermometer = forwardRef(({
  title,
  titleId: _titleId,
  ...props
}: SVGProps<SVGSVGElement> & SVGRProps, ref: Ref<SVGSVGElement>) => {
  let titleId: string | undefined = useId();
  titleId = title ? _titleId ? _titleId : "title-" + titleId : undefined;
  return <svg xmlns="http://www.w3.org/2000/svg" width="1em" height="1em" fill="none" viewBox="0 0 24 24" focusable={false} role="img" ref={ref} aria-labelledby={titleId} {...props}>{title ? <title id={titleId}>{title}</title> : null}<path fill="currentColor" fillRule="evenodd" d="M12 2.25A2.25 2.25 0 0 0 9.75 4.5V15a3.75 3.75 0 1 0 4.5 0V4.5A2.25 2.25 0 0 0 12 2.25m-.75 2.25a.75.75 0 1 1 1.5 0V15.4a.75.75 0 0 0 .374.65A2.249 2.249 0 0 1 12 20.25a2.25 2.25 0 0 1-1.124-4.2.75.75 0 0 0 .374-.649zm.75 12a1.5 1.5 0 1 0 0 3 1.5 1.5 0 0 0 0-3" clipRule="evenodd" /></svg>;
});
export default SvgThermometer;