"use client";
import * as React from "react";
import type { SVGProps } from "react";
import { Ref, forwardRef } from "react";
import { useId } from "./util/useId";
interface SVGRProps {
  title?: string;
  titleId?: string;
}
const SvgThumbDownFill = forwardRef(({
  title,
  titleId: _titleId,
  ...props
}: SVGProps<SVGSVGElement> & SVGRProps, ref: Ref<SVGSVGElement>) => {
  let titleId: string | undefined = useId();
  titleId = title ? _titleId ? _titleId : "title-" + titleId : undefined;
  return <svg xmlns="http://www.w3.org/2000/svg" width="1em" height="1em" fill="none" viewBox="0 0 24 24" focusable={false} role="img" ref={ref} aria-labelledby={titleId} {...props}>{title ? <title id={titleId}>{title}</title> : null}<path fill="currentColor" fillRule="evenodd" d="M11.353 3.265a1 1 0 0 1 .147-.015h5.472c1.24 0 2.327.83 2.653 2.026l1.91 7a2.75 2.75 0 0 1-2.654 3.474h-5.34l.793 2.38a2.75 2.75 0 0 1-2.609 3.62H10.5a.75.75 0 0 1-.624-.334L6.099 15.75H3a.75.75 0 0 1-.75-.75V5A.75.75 0 0 1 3 4.25h3.426z" clipRule="evenodd" /></svg>;
});
export default SvgThumbDownFill;