"use client";
import * as React from "react";
import type { SVGProps } from "react";
import { Ref, forwardRef } from "react";
import { useId } from "./util/useId";
interface SVGRProps {
  title?: string;
  titleId?: string;
}
const SvgTimerFill = forwardRef(({
  title,
  titleId: _titleId,
  ...props
}: SVGProps<SVGSVGElement> & SVGRProps, ref: Ref<SVGSVGElement>) => {
  let titleId: string | undefined = useId();
  titleId = title ? _titleId ? _titleId : "title-" + titleId : undefined;
  return <svg xmlns="http://www.w3.org/2000/svg" width="1em" height="1em" fill="none" viewBox="0 0 24 24" focusable={false} role="img" ref={ref} aria-labelledby={titleId} {...props}>{title ? <title id={titleId}>{title}</title> : null}<path fill="currentColor" fillRule="evenodd" d="M10 1.25a.75.75 0 0 0 0 1.5h1.25v1.532a8.75 8.75 0 1 0 1.5 0V2.75H14a.75.75 0 0 0 0-1.5zm2 4.5a7.25 7.25 0 1 0 0 14.5 7.25 7.25 0 0 0 0-14.5M5.75 13a6.25 6.25 0 1 1 12.5 0 6.25 6.25 0 0 1-12.5 0m12.083-9.723a.75.75 0 0 1 1.06 0l2.829 2.829a.75.75 0 0 1-1.06 1.06l-2.829-2.828a.75.75 0 0 1 0-1.06" clipRule="evenodd" /></svg>;
});
export default SvgTimerFill;