"use client";
import * as React from "react";
import type { SVGProps } from "react";
import { Ref, forwardRef } from "react";
import { useId } from "./util/useId";
interface SVGRProps {
  title?: string;
  titleId?: string;
}
const SvgTram = forwardRef(({
  title,
  titleId: _titleId,
  ...props
}: SVGProps<SVGSVGElement> & SVGRProps, ref: Ref<SVGSVGElement>) => {
  let titleId: string | undefined = useId();
  titleId = title ? _titleId ? _titleId : "title-" + titleId : undefined;
  return <svg xmlns="http://www.w3.org/2000/svg" width="1em" height="1em" fill="none" viewBox="0 0 24 24" focusable={false} role="img" ref={ref} aria-labelledby={titleId} {...props}>{title ? <title id={titleId}>{title}</title> : null}<path fill="currentColor" fillRule="evenodd" d="M2.25 6A.75.75 0 0 1 3 5.25h15.778a.75.75 0 0 1 .728.57l2.222 9a.75.75 0 0 1-.728.93H3a.75.75 0 0 1-.75-.75zm11 6c0 .414.336.75.75.75h5.672l.37 1.5H3.75v-7.5h9.5zm6.052-.75-1.112-4.5h-3.44v4.5zM3 17.25a.75.75 0 0 0 0 1.5h18a.75.75 0 0 0 0-1.5z" clipRule="evenodd" /></svg>;
});
export default SvgTram;