"use client";
import * as React from "react";
import type { SVGProps } from "react";
import { Ref, forwardRef } from "react";
import { useId } from "./util/useId";
interface SVGRProps {
  title?: string;
  titleId?: string;
}
const SvgTrendUp = forwardRef(({
  title,
  titleId: _titleId,
  ...props
}: SVGProps<SVGSVGElement> & SVGRProps, ref: Ref<SVGSVGElement>) => {
  let titleId: string | undefined = useId();
  titleId = title ? _titleId ? _titleId : "title-" + titleId : undefined;
  return <svg xmlns="http://www.w3.org/2000/svg" width="1em" height="1em" fill="none" viewBox="0 0 24 24" focusable={false} role="img" ref={ref} aria-labelledby={titleId} {...props}>{title ? <title id={titleId}>{title}</title> : null}<path fill="currentColor" d="M16.768 7.018a.75.75 0 0 0 0 1.5h1.654L14 12.939l-3.47-3.47a.75.75 0 0 0-1.06 0l-6 6a.75.75 0 1 0 1.06 1.061L10 11.06l3.47 3.47a.75.75 0 0 0 1.06 0l5.023-5.022v1.795a.75.75 0 0 0 1.5 0V7.768a.75.75 0 0 0-.75-.75z" /></svg>;
});
export default SvgTrendUp;