"use client";
import * as React from "react";
import type { SVGProps } from "react";
import { Ref, forwardRef } from "react";
import { useId } from "./util/useId";
interface SVGRProps {
  title?: string;
  titleId?: string;
}
const SvgVideoplayerFill = forwardRef(({
  title,
  titleId: _titleId,
  ...props
}: SVGProps<SVGSVGElement> & SVGRProps, ref: Ref<SVGSVGElement>) => {
  let titleId: string | undefined = useId();
  titleId = title ? _titleId ? _titleId : "title-" + titleId : undefined;
  return <svg xmlns="http://www.w3.org/2000/svg" width="1em" height="1em" fill="none" viewBox="0 0 24 24" focusable={false} role="img" ref={ref} aria-labelledby={titleId} {...props}>{title ? <title id={titleId}>{title}</title> : null}<path fill="currentColor" fillRule="evenodd" d="M4 5.25A1.75 1.75 0 0 0 2.25 7v10c0 .966.784 1.75 1.75 1.75h16A1.75 1.75 0 0 0 21.75 17V7A1.75 1.75 0 0 0 20 5.25zm6.364 3.594A.75.75 0 0 0 9.25 9.5v5a.75.75 0 0 0 1.114.656l4.5-2.5a.75.75 0 0 0 0-1.312zM12.956 12l-2.206 1.225v-2.45z" clipRule="evenodd" /></svg>;
});
export default SvgVideoplayerFill;