"use client";
import * as React from "react";
import type { SVGProps } from "react";
import { Ref, forwardRef } from "react";
import { useId } from "./util/useId";
interface SVGRProps {
  title?: string;
  titleId?: string;
}
const SvgWaveform = forwardRef(({
  title,
  titleId: _titleId,
  ...props
}: SVGProps<SVGSVGElement> & SVGRProps, ref: Ref<SVGSVGElement>) => {
  let titleId: string | undefined = useId();
  titleId = title ? _titleId ? _titleId : "title-" + titleId : undefined;
  return <svg xmlns="http://www.w3.org/2000/svg" width="1em" height="1em" fill="none" viewBox="0 0 24 24" focusable={false} role="img" ref={ref} aria-labelledby={titleId} {...props}>{title ? <title id={titleId}>{title}</title> : null}<path fill="currentColor" fillRule="evenodd" d="M11.25 6a.75.75 0 0 0-1.5 0v12a.75.75 0 0 0 1.5 0zm-3 2a.75.75 0 0 0-1.5 0v8a.75.75 0 0 0 1.5 0zm-3 2.5a.75.75 0 0 0-1.5 0v3a.75.75 0 0 0 1.5 0zm8.25-.75a.75.75 0 0 1 .75.75v3a.75.75 0 0 1-1.5 0v-3a.75.75 0 0 1 .75-.75m6.75.75a.75.75 0 0 0-1.5 0v3a.75.75 0 0 0 1.5 0zM16.5 7.25a.75.75 0 0 1 .75.75v8a.75.75 0 0 1-1.5 0V8a.75.75 0 0 1 .75-.75" clipRule="evenodd" /></svg>;
});
export default SvgWaveform;